请选择 进入手机版 | 继续访问电脑版

React-Native ‘WKWebView` has no propType for native prop

[复制链接]
钟启航 发表于 2021-1-2 17:52:44 | 显示全部楼层 |阅读模式 打印 上一主题 下一主题
根据搜索,出现这个错误的原因,是react-native与该组件所带的包的版本不匹配导致
当我们从堆栈拉别人的代码下来,是不包罗node_modules的,而有的package.json又是不合规范,没有限制版本,大概各种其他包依赖,大概网络导致下载包不完整等等。任何一个环节出问题,都大概导致报错的产生!
整理下来的办理办法有3种:

(1)我自己办理的办法是,使用正常的包取代npm install下载下来的包 大概单独install该包
(2)查询该第三方包和rn兼容的版本,并下载指定版本,清除缓存,重新构建
(3)网络问题导致的包不完整,重新install整个node_modules包即可

来源:https://blog.csdn.net/hzxOnlineOk/article/details/112003929
免责声明:如果侵犯了您的权益,请联系站长,我们会及时删除侵权内容,谢谢合作!
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则


专注素材教程免费分享
全国免费热线电话

18768367769

周一至周日9:00-23:00

反馈建议

27428564@qq.com 在线QQ咨询

扫描二维码关注我们

Powered by Discuz! X3.4© 2001-2013 Comsenz Inc.( 蜀ICP备2021001884号-1 )